Package fr.gouv.vitam.worker.core.plugin.ingestcleanup.report

# Class IngestCleanupObjectGroupReportEntry

java.lang.Object
fr.gouv.vitam.worker.core.plugin.ingestcleanup.report.IngestCleanupObjectGroupReportEntry

public class IngestCleanupObjectGroupReportEntry extends Object

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `IngestCleanupObjectGroupReportEntry()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addError(String error)`
  `void`
  `addWarning(String message)`
  `List<String>`
  `getErrors()`
  `String`
  `getId()`
  `MetadataType`
  `getMetadataType()`
  Constant for report serialization
  `List<String>`
  `getObjects()`
  `StatusCode`
  `getStatus()`
  `List<String>`
  `getWarnings()`
  `IngestCleanupObjectGroupReportEntry`
  `setErrors(List<String> errors)`
  `IngestCleanupObjectGroupReportEntry`
  `setId(String id)`
  `IngestCleanupObjectGroupReportEntry`
  `setObjects(List<String> objects)`
  `IngestCleanupObjectGroupReportEntry`
  `setStatus(StatusCode status)`
  `IngestCleanupObjectGroupReportEntry`
  `setWarnings(List<String> warnings)`
  `void`
  `updateStatus(StatusCode statusCode)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### IngestCleanupObjectGroupReportEntry

    public IngestCleanupObjectGroupReportEntry()

- ## Method Details

  - ### getId

    public String getId()

  - ### setId

    public IngestCleanupObjectGroupReportEntry setId(String id)

  - ### getMetadataType

    public MetadataType getMetadataType()
    Constant for report serialization

  - ### getErrors

    public List<String> getErrors()

  - ### setErrors

    public IngestCleanupObjectGroupReportEntry setErrors(List<String> errors)

  - ### addError

    public void addError(String error)

  - ### getWarnings

    public List<String> getWarnings()

  - ### setWarnings

    public IngestCleanupObjectGroupReportEntry setWarnings(List<String> warnings)

  - ### addWarning

    public void addWarning(String message)

  - ### getStatus

    public StatusCode getStatus()

  - ### setStatus

    public IngestCleanupObjectGroupReportEntry setStatus(StatusCode status)

  - ### getObjects

    public List<String> getObjects()

  - ### setObjects

    public IngestCleanupObjectGroupReportEntry setObjects(List<String> objects)

  - ### updateStatus

    public void updateStatus(StatusCode statusCode)